org.jfree.report.util.beans

## Interface ValueConverter

- All Known Implementing Classes:
    ArrayValueConverter, BigDecimalValueConverter, BigIntegerValueConverter, BooleanValueConverter, ByteValueConverter, CharacterValueConverter, ClassValueConverter, ColorValueConverter, DoubleValueConverter, FloatValueConverter, GenericValueConverter, IntegerValueConverter, LocaleValueConverter, LongValueConverter, ShortValueConverter, StringValueConverter, TimeZoneValueConverter

      public interface ValueConverter

  A value converter is an object that can transform an object into a string or vice versa.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toAttributeValue(java.lang.Object o)` Converts an object to an attribute value.
    `java.lang.Object` | `toPropertyValue(java.lang.String s)` Converts a string to a property value.

- - ### Method Detail

    - #### toAttributeValue

          java.lang.String toAttributeValue(java.lang.Object o)
                                     throws BeanException

      Converts an object to an attribute value.
      Parameters:
        `o` - the object.
      Returns:
        the attribute value.
      Throws:
        `BeanException` - if there was an error during the conversion.

    - #### toPropertyValue

          java.lang.Object toPropertyValue(java.lang.String s)
                                    throws BeanException

      Converts a string to a property value.
      Parameters:
        `s` - the string.
      Returns:
        a property value.
      Throws:
        `BeanException` - if there was an error during the conversion.